FT_EEPROM

com.ftdi.j2xx

## Class FT_EEPROM

- java.lang.Object
- - com.ftdi.j2xx.FT_EEPROM

- Direct Known Subclasses:
    FT_EEPROM_2232D, FT_EEPROM_2232H, FT_EEPROM_232H, FT_EEPROM_232R, FT_EEPROM_245R, FT_EEPROM_4232H, FT_EEPROM_X_Series

      public class FT_EEPROM
      extends java.lang.Object

  EEPROM data structure on the 232A, 232B

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `short` | `DeviceType` Hardware Option - Invert RTS Signal
    `java.lang.String` | `Manufacturer` String Descriptor - Manufacturer String
    `short` | `MaxPower` Config Descriptor - Max USB Power Value between 0 and 500
    `java.lang.String` | `Product` String Descriptor - Product String
    `short` | `ProductId` Device Descriptor - Product ID
    `boolean` | `PullDownEnable` Hardware Option - Pull Down In Suspend Enabled
    `boolean` | `RemoteWakeup` String Descriptor - Remote Wakeup Enabled
    `boolean` | `SelfPowered` Config Descriptor - Self Powered Mode
    `java.lang.String` | `SerialNumber` String Descriptor - Serial Number String
    `boolean` | `SerNumEnable` Device Descriptor - Serial Number Enabled
    `short` | `VendorId` Device Descriptor - Vendor ID

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FT_EEPROM()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DeviceType

          public short DeviceType

      Hardware Option - Invert RTS Signal

    - #### Manufacturer

          public java.lang.String Manufacturer

      String Descriptor - Manufacturer String

    - #### Product

          public java.lang.String Product

      String Descriptor - Product String

    - #### SerialNumber

          public java.lang.String SerialNumber

      String Descriptor - Serial Number String

    - #### VendorId

          public short VendorId

      Device Descriptor - Vendor ID

    - #### ProductId

          public short ProductId

      Device Descriptor - Product ID

    - #### SerNumEnable

          public boolean SerNumEnable

      Device Descriptor - Serial Number Enabled

    - #### MaxPower

          public short MaxPower

      Config Descriptor - Max USB Power Value between 0 and 500

    - #### SelfPowered

          public boolean SelfPowered

      Config Descriptor - Self Powered Mode

    - #### RemoteWakeup

          public boolean RemoteWakeup

      String Descriptor - Remote Wakeup Enabled

    - #### PullDownEnable

          public boolean PullDownEnable

      Hardware Option - Pull Down In Suspend Enabled

  - ### Constructor Detail

    - #### FT_EEPROM

          public FT_EEPROM()

About FTDI | FTDI Licence Terms